#
# https://ci.appveyor.com/tools/encrypt
#

version: "{build}"
image: Visual Studio 2017

branches:
  only: 
    - master

init:
- ps: Update-AppveyorBuild -Version "REDasm_Windows_x86_64_$(Get-Date -format ddMMyyyy)_$env:appveyor_build_number"
  # - ps: iex ((new-object net.webclient).DownloadString('https://raw.githubusercontent.com/appveyor/ci/master/scripts/enable-rdp.ps1'))

environment:
  build_repo: REDasm-Builds
  deploy_destination:
    secure: 2MDeXDVdvbgID1LEIO1SDXfW9+a4IyhjiZe3g3U+nvh4nsnOAjn5TJBNhTyU6mBx
  deploy_token:
    secure: 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


skip_tags: true

install:
  - git submodule update --init --recursive
  - set QTCREATOR=C:\Qt\Tools\QtCreator\bin
  - set QTDIR=C:\Qt\5.11\msvc2017_64\bin
  - set PYTHONDIR=C:\Python37-x64
  - set PATH=%QTDIR%;%QTCREATOR%;%PYTHONDIR%;%PATH%
  - call "C:\Program Files (x86)\Microsoft Visual Studio\2017\Community\VC\Auxiliary\Build\vcvars64.bat"

build_script:
  # Build
  - mkdir build
  - cd build
  - cmake -G "NMake Makefiles" -DCMAKE_BUILD_TYPE=Release ..
  - jom -j4

  # Package & Deploy
  - python ../ci/package.py
  - python ../ci/deploy.py
